org.apache.hadoop.security.token

## Interface TokenSelector<T extends TokenIdentifier>

- Type Parameters:
    `T` - T extends TokenIdentifier
  All Known Implementing Classes:
    AMRMTokenSelector, ContainerTokenSelector, RMDelegationTokenSelector, TimelineDelegationTokenSelector

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface TokenSelector<T extends TokenIdentifier>

  Select token of type T from tokens for use with named service

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token<T>` | `selectToken(Text service, Collection<Token<? extends TokenIdentifier>> tokens)`

- - ### Method Detail

    - #### selectToken

          Token<T> selectToken(Text service,
                               Collection<Token<? extends TokenIdentifier>> tokens)

Copyright © 2022 Apache Software Foundation. All rights reserved.